%define name	perl-CDDB_get
%define version	1.66
%define release	1mdk

Summary:	CDDB_get module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	CDDB_get-1.66.tar.bz2
Url:		http://www.cpan.org
Requires:	perl >= 5.004
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CDDB_get module for perl

%prep
rm -rf %{buildroot}

%setup -q -n CDDB_get-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL
%make

%install
rm -rf %{buildroot}
%makeinstall PREFIX="%{buildroot}%{_prefix}"

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/cddb.pl
%{_libdir}/perl5/site_perl/5.6.1/auto/CDDB_get/autosplit.ix
%{_libdir}/perl5/site_perl/5.6.1/CDDB_get.pm
%{_libdir}/perl5/site_perl/5.6.1/cddb.pl
%{_libdir}/perl5/man/man3/CDDB_get.3*

%changelog
* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.66-1mdk
- initial cooker contrib
